Loading...
Searching...
No Matches
Dune::Simd::Overloads::RebindType< S, V, std::enable_if_t< VcImpl::IsVector< V >::value &&!VcImpl::IsMask< V >::value &&VcImpl::IsVectorizable< S >::value &&!std::is_same< S, Scalar< V > >::value > > Struct Template Reference

should have a member type `type` More...

`#include <dune/common/simd/vc.hh>`

Inheritance diagram for Dune::Simd::Overloads::RebindType< S, V, std::enable_if_t< VcImpl::IsVector< V >::value &&!VcImpl::IsMask< V >::value &&VcImpl::IsVectorizable< S >::value &&!std::is_same< S, Scalar< V > >::value > >:

## Public Types

using | type = Vc::SimdArray<S, Simd::lanes<V>()>

## Detailed Description

template<class S, class V>
struct Dune::Simd::Overloads::RebindType< S, V, std::enable_if_t< VcImpl::IsVector< V >::value &&!VcImpl::IsMask< V >::value &&VcImpl::IsVectorizable< S >::value &&!std::is_same< S, Scalar< V > >::value > >

should have a member type `type`

Implements Simd::Rebind

This specialization covers

- Vector -> Vc-vectorizable type except bool, Scalar<Vector>

## Member Typedef Documentation

## type

template<class S, class V>

using Dune::Simd::Overloads::RebindType< S, V, std::enable_if_t< VcImpl::IsVector< V >::value &&!VcImpl::IsMask< V >::value &&VcImpl::IsVectorizable< S >::value &&!std::is_same< S, Scalar< V > >::value > >::type = Vc::SimdArray<S, Simd::lanes<V>()>

The documentation for this struct was generated from the following file:

- simd/vc.hh